Skip to main content
`Ctrl`+`K`

# PCGAMGSetEigenvalues

Set WHAT eigenvalues WHY?

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetEigenvalues(PC pc, PetscReal emax, PetscReal emin)

Collective

## Input Parameters

- pc - the preconditioner context

- emax - max eigenvalue

- emin - min eigenvalue

## Options Database Key

- -pc_gamg_eigenvalues <emin,emax> - estimates of the eigenvalues

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetUseSAEstEig()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetEigenvalues_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages